org.codehaus.groovy.reflection

## Class ReflectionCache

- java.lang.Object
- - org.codehaus.groovy.reflection.ReflectionCache

    public class ReflectionCache
    extends java.lang.Object

### Field Summary

Fields
`static CachedClass` `OBJECT_ARRAY_CLASS`
`static CachedClass` `OBJECT_CLASS`

### Constructor Summary

Constructors
Constructor and Description
`ReflectionCache()`

### Method Summary

All Methods Static Methods Concrete Methods
`static java.lang.Class` `autoboxType(java.lang.Class type)`
`static CachedClass` `getCachedClass(java.lang.Class klazz)`
`static java.lang.String` `getMOPMethodName(CachedClass declaringClass, java.lang.String name, boolean useThis)`
`static boolean` `isArray(java.lang.Class klazz)`
`static boolean` `isAssignableFrom(java.lang.Class klazz, java.lang.Class aClass)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### OBJECT_CLASS

    public static final CachedClass OBJECT_CLASS

#### OBJECT_ARRAY_CLASS

    public static final CachedClass OBJECT_ARRAY_CLASS

### Constructor Detail

#### ReflectionCache

    public ReflectionCache()

### Method Detail

#### autoboxType

    public static java.lang.Class autoboxType(java.lang.Class type)

#### getMOPMethodName

    public static java.lang.String getMOPMethodName(CachedClass declaringClass,
                                                    java.lang.String name,
                                                    boolean useThis)

#### isArray

    public static boolean isArray(java.lang.Class klazz)

#### isAssignableFrom

    public static boolean isAssignableFrom(java.lang.Class klazz,
                                           java.lang.Class aClass)

#### getCachedClass

    public static CachedClass getCachedClass(java.lang.Class klazz)